var csv = require('../lib/ya-csv'),
    sys = require('sys');

if (process.argv.length < 4) {
    sys.error("Usage: " + process.argv[0] + " " + process.argv[1] + "<lookups dir> <output dir>");
    process.exit(1);
}

var lookupsDir = process.argv[2];
var outputDir  = process.argv[3];

loadLookups(lookupsDir, function(lookups)) {
    var reader = csv.createCsvStreamReader(process.openStdin(), { columnsFromHeader: true });
    var writer = csv.createCsvStreamWriter(process.stdout);

    reader.addListener('data', function(data) {
        var out = [];
        for (var i = 0; i < outColumns.length; i++) {
            col = outColumns[i];
            out[i] = data[col];
        }
        writer.writeRecord(out);
    });
}

function loadLookups(dir, callback) {
    var lookups = {};

    callback(lookups);
}
